SparseIntVect.h File Reference
`#include <map>`
`#include <string>`
`#include <RDGeneral/Invariant.h>`
`#include <sstream>`
`#include <RDGeneral/Exceptions.h>`
`#include <RDGeneral/StreamOps.h>`
`#include <boost/cstdint.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::SparseIntVect< IndexType >
| a class for efficiently storing sparse vectors of ints More...

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Functions

template<typename IndexType , typename SequenceType >
void | RDKit::updateFromSequence (SparseIntVect< IndexType > &vect, const SequenceType &seq)
template<typename IndexType >
double | RDKit::DiceSimilarity (const SparseIntVect< IndexType > &v1, const SparseIntVect< IndexType > &v2, bool returnDistance=false, double bounds=0.0)
template<typename IndexType >
double | RDKit::TverskySimilarity (const SparseIntVect< IndexType > &v1, const SparseIntVect< IndexType > &v2, double a, double b, bool returnDistance=false, double bounds=0.0)
template<typename IndexType >
double | RDKit::TanimotoSimilarity (const SparseIntVect< IndexType > &v1, const SparseIntVect< IndexType > &v2, bool returnDistance=false, double bounds=0.0)

## Variables

const int | ci_SPARSEINTVECT_VERSION =0x0001
| version number to use in pickles More...

## Variable Documentation

const int ci_SPARSEINTVECT_VERSION =0x0001

version number to use in pickles

Definition at line 23 of file SparseIntVect.h.

Referenced by RDKit::SparseIntVect< IndexType >::toString().